//
//  ContentView.swift
//  macamera
//
//  Created by Maxime on 06/05/2025.
//

import SwiftUI

struct ContentView: View {
    
    @State private var capturedImage: UIImage?
    
    var body: some View {
        
        if capturedImage == nil {
            CustomCameraView(capturedImage: $capturedImage)
                .ignoresSafeArea()
        } else {
            PhotoPreviewView(capturedImage: $capturedImage)
                .ignoresSafeArea()
        }
    }
}

#Preview {
    ContentView()
}
